Bug 242753 - Missing character bug in latest security patches
Missing character bug in latest security patches
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba (Show other bugs)
4.5
All Linux
low Severity low
: ---
: ---
Assigned To: Samba Maint Team
: Security
Depends On: 242744
Blocks: 243794
  Show dependency treegraph
 
Reported: 2007-06-05 12:54 EDT by Simo Sorce
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2007-0698
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:15:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simo Sorce 2007-06-05 12:54:22 EDT
+++ This bug was initially created as a clone of Bug #242744 +++

Description of problem:
Upstream was notified that the security patch for CVE-2007-2447 is missing one
character in the allowed set for the escape shell security functions
This may cause the code to reject any script that contains the 'c' character in
the path or parameters not passed in double quotes

Version-Release number of selected component (if applicable):
All RHEL products
Comment 2 RHEL Product and Program Management 2007-06-05 14:04:27 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Simo Sorce 2007-06-06 18:17:21 EDT
patch committed
Comment 9 errata-xmlrpc 2007-11-15 11:15:31 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0698.html

Note You need to log in before you can comment on or make changes to this bug.